summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild5
-rw-r--r--source/l/gtk+3/gtk.meson.build.version.diff9
2 files changed, 13 insertions, 1 deletions
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index fd7300307..cd05ae4ce 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gtk+3
VERSION=${VERSION:-$(echo gtk+-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix embedded version number:
+zcat $CWD/gtk.meson.build.version.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS"
export CXXFLAGS="$SLKCFLAGS -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS"
diff --git a/source/l/gtk+3/gtk.meson.build.version.diff b/source/l/gtk+3/gtk.meson.build.version.diff
new file mode 100644
index 000000000..4588ea6c9
--- /dev/null
+++ b/source/l/gtk+3/gtk.meson.build.version.diff
@@ -0,0 +1,9 @@
+--- ./meson.build.orig 2020-04-03 12:07:47.000000000 -0500
++++ ./meson.build 2020-04-15 14:18:42.838219120 -0500
+@@ -1,5 +1,5 @@
+ project('gtk+-3.0', 'c',
+- version: '3.24.17',
++ version: '3.24.18',
+ default_options: [
+ 'buildtype=debugoptimized',
+ 'warning_level=1'